Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984005 - App creation could not rollback if creating while DNS is not available on broker
Summary: App creation could not rollback if creating while DNS is not available on broker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ravi Sankar
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-12 13:52 UTC by Qiushui Zhang
Modified: 2015-05-15 00:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-07 22:55:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qiushui Zhang 2013-07-12 13:52:49 UTC
Description of problem:
While DNS unavailable on broker, try to create an app. The creation will fail, but the app name is added to mongodb without rollback.

Version-Release number of selected component (if applicable):
devenv_3491

How reproducible:
Always

Steps to Reproduce:
1. Set DNS on broker to be outage
2. Try to create an app, for example "myapp"
3. After the creation fails, check the mongodb. The app name is added without rollback.

Actual results:
The app name is added to mongodb. User will not be able to add an app with the same name.

Expected results:
The app is removed from mongo

Additional info:

Comment 2 Qiushui Zhang 2013-08-01 02:47:14 UTC
Retest on devenv_3597, if creating an app during dns outage, the app is still added to mongo. But I notice the error logs are kept. As Daniel said, it might be a little tricky to know there isn't anything left in dns. 

Mark the defect as verified.


Note You need to log in before you can comment on or make changes to this bug.